<html><head>
	<title>Javascript Exemplo Agenda</title>
</head>
<body>
<script>

function remover(id){

	if(!isEditando()){
		var linha = document.getElementById(id) ; 
		linha.remove();
	}else {
		alert('Favor finalizar a edição antes de remover!');
	}

}

function editar(id){

	if(!isEditando() ) {
	
		var linha = document.getElementById(id) ; 
		linha.id = 'Editando' ; 
		
		
		var nome = linha.cells[1].innerHTML ; 
		var telefone = linha.cells[2].innerHTML ;
		
		setNome(nome) ; 
		setTelefone(telefone);
		
	}
	
	

}

function setNome(nome){
	document.getElementById('txtNome').value = nome ; 
}

function getNome(){

	return document.getElementById('txtNome').value ;
}

function setTelefone(telefone){
	document.getElementById('txtTelefone').value = telefone ;
}

function getTelefone(){
	return document.getElementById('txtTelefone').value ; 
}

function inserir(){

	// peguei os inputs somente
	//debugger ; 
	//pegando os valores do campo
	var nome = getNome(); 
	var telefone = getTelefone() ; 
	
	//pegar tabela 
	var tabela = document.getElementById('contatos'); 
	
	//per ultimo codigo tamanho de linhas 
	var id = tabela.rows.length ; 
	
	
	//criar linha 
	var linha = tabela.insertRow(); 
	linha.id = id ; 
	
	
	//criar celular 
	var celulaId = linha.insertCell(0);
	var celulaNome = linha.insertCell(1);
	var celulaTelefone = linha.insertCell(2);
	var celulaAcoes = linha.insertCell(3);
	
	var botaoEditar = '<input type="button" value="Editar" onclick="editar(\'' + id + '\');" />';
	var botaoRemover = '<input type="button" value="Remover" onclick="remover(\'' + id + '\');" />';
	
	//preencher celulas 
	celulaId.innerHTML = id ; 
	celulaNome.innerHTML = nome ; 
	celulaTelefone.innerHTML = telefone ; 
	celulaAcoes.innerHTML = botaoEditar + botaoRemover ;

}

function atualizar(){

	//pregar as alterações feitas 
	var inputNome = document.getElementById('txtNome') ; 
	var inputTelefone = document.getElementById('txtTelefone') ; 
	
	var nome = inputNome.value ; 
	var telefone = inputTelefone.value ; 
	var linhaEditada = document.getElementById('Editando')  ;
	
	linhaEditada.cells[1].innerHTML = nome ; 
	linhaEditada.cells[2].innerHTML = telefone ;
	
	finalizarEdicao(); 	
	

}

function finalizarEdicao(){
	var linhaEditada = document.getElementById('Editando')  ; 
	var id = linhaEditada.cells[0].innerHTML;
	linhaEditada.id = id ;
}

function cancelar(){
	finalizarEdicao();
	limpar();
	

}

function isEditando(){
	return document.getElementById('Editando') != null ;
}

function salvar (){

	//debugger ; 

	if(isPreenchido()){
	
			if(!isEditando()){
				inserir();
			}else{
				atualizar() ; 
			}
	
	limpar();
	}else{
	
		alert('Favor preencher os campos !');
	
	}
	
	
	
	

}

function limpar(){

	var inputNome = document.getElementById('txtNome') ; 
	var inputTelefone = document.getElementById('txtTelefone') ; 
	
	inputNome.value = '' ; 
	inputTelefone.value = '' ; 


}

function isPreenchido(){

	var inputNome = document.getElementById('txtNome') ; 
	var inputTelefone = document.getElementById('txtTelefone') ; 
	
	/// utilizar trim em strings para remover os espacos da esquerda e direita
	return inputNome.value.trim() != '' && inputTelefone.value.trim() != '' ; 


}

function Search(){
	var SID = document.getElementById('SId').value;
	var SNOME = document.getElementById('SNome').value;

	if(SNOME!=''&&SID!=''){


		var table = document.getElementById('contatos').rows;
		var fx = SNOME;
		var fs = SID;
		clearT();
		for (var i = 1; i < table.length; i++) {

			var rx = table[i].cells[0].innerHTML;
			var sx = table[i].cells[1].innerHTML;
	
			if(fs == rx&&fx == sx){
				
				table[i].cells[0].style.backgroundColor='red';
				table[i].cells[1].style.backgroundColor='red';
				table[i].cells[2].style.backgroundColor='red';

			}
		}
		
	}else if(SNOME!=''){

		var table = document.getElementById('contatos').rows;
		var fx = SNOME;
		clearT();
		for (var i = 0; i < table.length; i++) {

			var sx = table[i].cells[1].innerHTML;

			
			if(fx == sx){
				
				table[i].cells[0].style.backgroundColor='red';
				table[i].cells[1].style.backgroundColor='red';
				table[i].cells[2].style.backgroundColor='red';

			}
		}
	}else if(SID!=''){

		clearT();
		var table = document.getElementById('contatos').rows;
		var fx = SID;
		for (var i = 1; i < table.length ; i++) {

			var sx = table[i].cells[0].innerHTML;
			
			if(fx == sx){
				clearT();


				table[i].cells[0].style.backgroundColor='red';
				table[i].cells[1].style.backgroundColor='red';
				table[i].cells[2].style.backgroundColor='red';
				
			}
		}
	}
}


	function clearT(){
		var SID = document.getElementById('SId').value;
	var table = document.getElementById('contatos').rows;
		var fx = SID;

		for (var i = 1; i < table.length ; i++) {

				table[i].cells[0].style.backgroundColor='white';
				table[i].cells[1].style.backgroundColor='white';
				table[i].cells[2].style.backgroundColor='white';
				

}
}




</script>
<h2>Agenda</h2>

<table  >

<tr> 
	<td>
		Nome:
	</td>
	<td>
		<input style="width : 150px;" type="text" id="txtNome"  />
	</td>
	<td>
		Telefone:
	</td>
	<td>
		<input style="width : 100px;" type="text" id="txtTelefone"  />
	</td>
	<td>
		<input type="button" value="Salvar" onclick="salvar();"/>
	</td>
	<td>
		<input type="button" value="Cancelar" onclick="cancelar();"/>
	</td>
<tr>
</table>
<br />
<fieldset>

	<legend>Contatos</legend>


	<fieldset>
			<legend>Busca</legend>
		<table id="SEARCH">

			<tr> 
				<td>
					ID:
				</td>
				<td>
					<input style="width : 50px;" type="text" id="SId"  />
				</td>
				<td>
					Nome:
				</td>
				<td>
					<input style="width : 245px;" type="text" id="SNome"  />
				</td>
				<td>
					Telefone:
				</td>
				<td>
					<input type="button" value="Buscar" onclick="Search();"/>
				</td>
			<tr>
		</table>
	</fieldset>
	<fieldset>
			<legend>Lista de contatos</legend>
		<table  width='500px' id="contatos" border="1">
			<tr id="titulo">
				<td width='10px'>
					Código
				</td>
				<td>
					Nome
				</td>
				<td>
					Telefone
				</td>
				<td style="width: 125px; text-align: right;"></td>
			</tr>
			
		</table>
	</fieldset>
</fieldset>








</body>

</html>





